package edu.sc.seis.badprogrammer;

/**
 * BadProgrammerExceptions indicate that some condition the programmer expected
 * to be inviolable was violated. This doesn't indicate the programmer throwing
 * the exception is at fault. Don't shoot the messenger!
 * 
 * @author groves
 * 
 * Created on Aug 19, 2006
 */
public class BadProgrammerException extends RuntimeException {

    public BadProgrammerException() {}

    public BadProgrammerException(String message) {
        super(message);
    }

    public BadProgrammerException(String message, Exception source) {
        super(message, source);
    }
}
